Create Challengepost https://{hostname}/api/talk/content/v1/challengesThis operation creates a challenge. Authorization and Permissions An OpenAm token is required to make a post. The user must have content creation permission, which can be granted by a Talk administrator. Body ParamsThe Create Challenge request payload.titlestringrequiredThe title of a challenge post. The title cannot exceed 200 characters.contentstringrequiredThe content to post in the challenge. The content cannot exceed 5000 characters.endDateTimedate-timerequiredThe end date and time of the challenge. It shouild be in ISO8601 datetime format.commentEnabledbooleanA Boolean indicator of whether or not comments are enabled for this announcement. Defaults to true.falsetruefalsecoverImageobjectThe attachment model used across different content types.coverImage objectattachmentsarray of objectsThe attachments to include with the announcement. The attachment object should be the same returned by the file upload API.attachmentsADD objectHeadersAuthorizationstringrequiredTokenx-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully submitted a challenge post request. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 413The HTTP status code 413 Payload Too Large error, thrown when you attempt to pass a request payload that exceeds the limit. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 9 months ago